import { Repository } from 'typeorm';
import { ListingEntity } from './listing.entity';
export declare class ListingsService {
    private readonly repo;
    constructor(repo: Repository<ListingEntity>);
    findAll(): Promise<ListingEntity[]>;
    findOne(id: string): Promise<ListingEntity | null>;
    findByCompany(companyId: string): Promise<ListingEntity[]>;
    create(data: Partial<ListingEntity>): Promise<ListingEntity>;
    update(id: string, data: Partial<ListingEntity>): Promise<ListingEntity | null>;
    remove(id: string): Promise<import("typeorm").DeleteResult>;
}
